### Hierarchy

- unknown
  - SetConnectionRequest

## Index

### Constructors

- constructor

### Methods

- clearConnection
- getConnection
- getUrl
- hasConnection
- serializeBinary
- setConnection
- setUrl
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SetConnectionRequest(): SetConnectionRequest

- Inherited from jspb.Message.constructor

  #### Returns SetConnectionRequest

## Methods

### clearConnection

- clearConnection(): SetConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:956

  #### Returns SetConnectionRequest

### getConnection

- getConnection(): undefined | UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:953

  #### Returns undefined | UrlConnection

### getUrl

- getUrl(): string

- - Defined in src/protobuf/grpc_pb.d.ts:950

  #### Returns string

### hasConnection

- hasConnection(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:955

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:958

  #### Returns Uint8Array

### setConnection

- setConnection(value?: UrlConnection ): SetConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:954

  #### Parameters

  - ##### Optional value: UrlConnection

  #### Returns SetConnectionRequest

### setUrl

- setUrl(value: string): SetConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:951

  #### Parameters

  - ##### value: string

  #### Returns SetConnectionRequest

### toObject

- toObject(includeInstance?: boolean): SetConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:959

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SetConnectionRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SetConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:962

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SetConnectionRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SetConnectionRequest, reader: BinaryReader): SetConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:963

  #### Parameters

  - ##### message: SetConnectionRequest

  - ##### reader: BinaryReader

  #### Returns SetConnectionRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SetConnectionRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:961

  #### Parameters

  - ##### message: SetConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SetConnectionRequest ): SetConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:960

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SetConnectionRequest

  #### Returns SetConnectionRequest . AsObject

Generated using TypeDoc